coupang
GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}/history2609170000

Searching Delivery Status Change History

# 01

Summary

Searching Delivery Status Change History

# 02

Details

Available buyer market: Korean, Taiwan

Search the delivery status history of an order.

Path

GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}/history

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/ordersheets/{shipmentBoxId}/history

URL API Name

GET_ORDERSHEET_HISTORY
# 03

Path parameters

NameTypeDescription
vendorId*string
Vendor ID
Unique code Coupang issues to seller
e.g.

A00012345
shipmentBoxId*number
Bundled shipping number
Available through PO list search API
# 04

Response body

Response message

NameTypeDescription
codenumber
Server response code
messagestring
Server response message
dataobject[]
Payment complete list
shipmentBoxId
data[].shipmentBoxId
number
Bundled shipping number
details
data[].details
object[]
History details
deliveryStatus
data[].details[].deliveryStatus
string
Delivery status
Parameter Name Status
ACCEPT Payment Complete
INSTRUCT Product in Preparation
DEPARTURE Shipped
DELIVERING In Transit
FINAL_DELIVERY Delivery Complete
NONE_TRACKING Shipped by seller (delivery integration not applied), untrackable
deliveryStatusDesc
data[].details[].deliveryStatusDesc
string
Delivery status description
updatedAt
data[].details[].updatedAt
string
Time changed

(Requires ISO-8601 Compliance)

YYYY-MM-DDThh:mm:ss.ssssss±hh:mm

Response Example

{
  "shipmentBoxId": 123456789012345680,
  "data": [
    {
      "deliveryStatus": "FINAL_DELIVERY",
      "deliveryStatusDesc": "배송완료",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "DELIVERING",
      "deliveryStatusDesc": "배송중",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "DEPARTURE",
      "deliveryStatusDesc": "배송지시",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "INSTRUCT",
      "deliveryStatusDesc": "상품준비중",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "ACCEPT",
      "deliveryStatusDesc": "결제완료",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    }
  ]
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request variable)

Invalid vendor ID

Check if the vendor ID

(vendorId) has been entered correctly.

500500 (check request variable)

Internal Exception

Check if the bundled shipping number

(shipmentBoxId) has been entered correctly.